! an example of how to create arrays
program array
	implicit none
	real, parameter :: pi = 4*atan(1.0)
	integer, parameter :: n = 100
	real, dimension(1:n) :: x, y
	real :: a = 0.0, b= 2*pi
	complex, dimension(1:n) :: z
	real :: increment
	integer :: i

	increment = (b-a)/(real(n)-1)
	
	!100 format (i3, 5x, f5.3) 
	!el 100 es porque tiene que ser así, debería generar dos columnas.
	! el i3 indica cuantos espacios hay 
	!desde el margen izquierdo hasta el último dígito de la primera columna. El 5x indica cuantos espacios en blanco hay entre una columna y otra. El f5.2 indica cuantos caracteres hay (5) y cuantos son decimales (3), el "." cuenta como caracter así que un out posible sería 0.321
	
	x(1) = 0.0
	do i = 2,n
		 x(i) = x(i-1) + increment
	end do
	
	y = cos (x) 
	
	z = cmplx(x,y)

	open (unit = 1, file = 'arraycomplex.dat') 
	!esto es así porque si. El open crea un archivo

	!write (unit = 1, fmt = 100)
	do i = 1,n	
		write (1,*) x(i), y(i), z(i) 
	!El 1 hace referencia al unit, el * a que no le di un formato específico
	end do
	close (unit = 1)


!	print*, x, y

end program array
